Subject: Re: bug#55161: 29.0.50; [PATCH] oclosure transcription error redux

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 28 Apr 2022 12:23:04 +0200

dick <[email-masked]> writes:

> -   (:after (apply cdr r) (apply car r))
> +   (:after (prog1 (apply cdr r) (apply car r)))

I guess this is the same as bug#55149, so I've merged the reports.

Apparently, returning the value of the :after function is what's
documented to happen (and is what the trunk does now), but it didn't
use to do that, so it's breaking advice that relies on the old
behaviour, if I understand 55149 correctly.

Stefan?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no